Net::GPSD3::Return::Satellite(3pm)

NAME
Net::GPSD3::Return::Satellite - Net::GPSD3 Return Satellite Object

SYNOPSIS
  use Net::GPSD3 0.13;
  my $gpsd = Net::GPSD3->new;
  my $poll = $gpsd->poll;  #new method in 0.12
  my $sky  = $poll->sky;   #new method in 0.13
  printf "Reported: %s, Used: %s\n", $sky->reported, $sky->used;
  printf "PRN: %s\n", join(", ", map {$_->used ? $_->prn : "-".$_->prn} $sky->Satellites);

DESCRIPTION
Provides a Perl object interface to the Satellite data structure returned by the GPSD daemon.

An example JSON string:

  {"PRN":15,"el":77,"az":123,"ss":0, "used":false},

METHODS

  class
Returns the object class

  string
Returns the JSON string

  parent
Return the parent Net::GPSD object

  PRN, prn
Returns the GPS Satellites Pseudo Random Number Identifier

  used
Returns a JSON::XS::Boolean true or false object.

  az, azimuth
Returns the azimuth, degrees from true north.

  el, elevation
Returns the Elevation in degrees.

  ss
Signal strength in dBHz.

Note: C/N0 is dBHz usually, but trimbles can also emit poorly specified Amplitude Measurement Units.

BUGS
Log on RT and Send to gpsd-dev email list

SUPPORT
DavisNetworks.com supports all Perl applications including this package.

Try gpsd-dev email list

AUTHOR
  Michael R. Davis
  CPAN ID: MRDVT
  STOP, LLC
  domain=>michaelrdavis,tld=>com,account=>perl
  http://www.stopllc.com/

COPYRIGHT
This program is free software licensed under the...

  The BSD License

The full text of the license can be found in the LICENSE file included with this module.

SEE ALSO
Net::GPSD3, Net::GPSD3::Return::Unknown